# Management API The Synqly Management APIs enable you to manage the resources within your Synqly organization, such as setting up Accounts for your customers and creating Integrations to connect your product to the different service Providers supported by Synqly. For more information see the [Synqly Overview](/guides/getting-started/overview). ## Servers Synqly ``` https://api.synqly.com ``` ## Security ### BearerAuth Type: http Scheme: bearer ## Download OpenAPI description [Management API](https://docs.synqly.com/_bundle/api-reference/management.yaml) ## Accounts Accounts under your Organization are used to manage Integrations, Credentials, and other account specific resources. Accounts are secure containers and may be used to represent tenants in your system. Data is never shared across accounts. For more information on Accounts, see the [Synqly Overview](/guides/getting-started/overview). ### List Accounts - [GET /v1/accounts](https://docs.synqly.com/api-reference/management/accounts/accounts_list.md): Returns a list of all Account objects. For more information on Organizations and Accounts, refer to our Synqly Overview. Operation ID: accounts_list ### Create Account - [POST /v1/accounts](https://docs.synqly.com/api-reference/management/accounts/accounts_create.md): Creates an Account object. For more information on Organizations and Accounts, refer to our Synqly Overview. Operation ID: accounts_create ### Get Account - [GET /v1/accounts/{accountId}](https://docs.synqly.com/api-reference/management/accounts/accounts_get.md): Returns the Account object matching {accountId}. For more information on Organizations and Accounts, refer to our Synqly Overview. Operation ID: accounts_get ### Update Account - [PUT /v1/accounts/{accountId}](https://docs.synqly.com/api-reference/management/accounts/accounts_update.md): Updates the Account object matching {accountId}. For more information on Organizations and Accounts, refer to our Synqly Overview. Operation ID: accounts_update ### Patch Account - [PATCH /v1/accounts/{accountId}](https://docs.synqly.com/api-reference/management/accounts/accounts_patch.md): Patches the Account object matching {accountId}. For more information on Organizations and Accounts, refer to our Synqly Overview. Operation ID: accounts_patch ### Delete Account - [DELETE /v1/accounts/{accountId}](https://docs.synqly.com/api-reference/management/accounts/accounts_delete.md): Deletes the Account matching {accountId}. Deleting an Account also deletea all Tokens and Credentials belonging to the Account. Operation ID: accounts_delete ## Audit ### List Audit Events - [GET /v1/audit/organizations](https://docs.synqly.com/api-reference/management/audit/audit_list.md): Returns a list of all Synqly Audit events for the Organization. Operation ID: audit_list ## Auth ### Logon Organization - [POST /v1/auth/logon/{organizationId}](https://docs.synqly.com/api-reference/management/auth/auth_logon.md): Initiates a new session for the given member in specified Synqly organization. Operation ID: auth_logon ### Change Member Password - [POST /v1/auth/change_password](https://docs.synqly.com/api-reference/management/auth/auth_change_password.md): Change member password. Operation ID: auth_change_password ### Logoff - [POST /v1/auth/logoff](https://docs.synqly.com/api-reference/management/auth/auth_logoff.md): Terminates the session identified by the given logon token. Operation ID: auth_logoff ## Bridges ### List Bridge Groups - [GET /v1/bridges/{accountId}](https://docs.synqly.com/api-reference/management/bridges/bridges_list.md): Returns a list of all Bridge Group objects that match the query params. Operation ID: bridges_list ### Create Bridge Group - [POST /v1/bridges/{accountId}](https://docs.synqly.com/api-reference/management/bridges/bridges_create.md): Creates a Bridge Group with a unique identifier and authentication credentials. This allows for Bridge Agents to connect to Synqly. For more information on Bridges, refer to our Synqly Overview. Operation ID: bridges_create ### Get Bridge Groups - [GET /v1/bridges/{accountId}/{bridgeId}](https://docs.synqly.com/api-reference/management/bridges/bridges_get.md): Returns the Bridge Group object matching {bridgeId}. For more information on Bridges, refer to the Bridge Overview. Operation ID: bridges_get ### Update Bridge Group - [PUT /v1/bridges/{accountId}/{bridgeId}](https://docs.synqly.com/api-reference/management/bridges/bridges_update.md): Updates the Bridge Group object matching {bridgeId}. For more information on Bridges, refer to our Synqly Overview. Operation ID: bridges_update ### Patch Bridge Group - [PATCH /v1/bridges/{accountId}/{bridgeId}](https://docs.synqly.com/api-reference/management/bridges/bridges_patch.md): Patches the Bridge Group object matching {bridgeId}. For more information on Bridges, refer to our Synqly Overview. Operation ID: bridges_patch ### Delete Bridge Group - [DELETE /v1/bridges/{accountId}/{bridgeId}](https://docs.synqly.com/api-reference/management/bridges/bridges_delete.md): Deletes the Bridge Group matching {bridgeId}. Deleting an Bridge Group also deletea all Tokens and Credentials belonging to the Bridge Group. Operation ID: bridges_delete ### Get Bridge Agent Statuses - [GET /v1/bridges/{accountId}/{bridgeId}/status](https://docs.synqly.com/api-reference/management/bridges/bridges_get_status.md): Returns the status and local configuration of running Bridges Agents in the Bridge Group {bridgeId}. Operation ID: bridges_get_status ## Capabilities ### List Connectors - [GET /v1/capabilities/connectors](https://docs.synqly.com/api-reference/management/capabilities/capabilities_list_connectors.md): Returns a list of all Connectors. Operation ID: capabilities_list_connectors ### List Providers - [GET /v1/capabilities/providers](https://docs.synqly.com/api-reference/management/capabilities/capabilities_list_providers.md): Returns a list of all Provider capabilities and their configurations. Operation ID: capabilities_list_providers ### Get Provider - [GET /v1/capabilities/providers/{providerId}](https://docs.synqly.com/api-reference/management/capabilities/capabilities_get_provider.md): Returns the capabilities and configurations for a specific Provider type Operation ID: capabilities_get_provider ## Credentials ### List Credentials - [GET /v1/credentials/{ownerId}](https://docs.synqly.com/api-reference/management/credentials/credentials_list.md): Returns a list of all Credential objects belonging to the Account, Integration, or IntegrationPoint, or OrganizationWebhook matching {ownerId}. Operation ID: credentials_list ### Create Credential - [POST /v1/credentials/{ownerId}](https://docs.synqly.com/api-reference/management/credentials/credentials_create.md): Creates a Credential object in the Account, IntegrationPoint, or OrganizationWebhook matching matching {ownerId}. A Credential may only by used by a single Account, Integration, IntegrationPoint or OrganizationWebhook; however, Credential objects can be shared by multiple Integrations within an Account. Operation ID: credentials_create ### Get Credential - [GET /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_get.md): Returns the Credential object matching {credentialId} where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_get ### Update Credential - [PUT /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_update.md): Updates the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_update ### Patch Credential - [PATCH /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_patch.md): Patches the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_patch ### Delete Credential - [DELETE /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_delete.md): Deletes the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_delete ### Lookup Credential - [GET /v1/credentials/lookup/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_lookup.md): Returns the Credential object matching {credentialId}. Operation ID: credentials_lookup ## Integration Points An Integration Point describes a class of Integrations, and lets you describe names, allowed providers and other configuration that should apply to integrations associated with the Integration Point. While an Integration can be created without associating it with an Integration Point, some Synqly features require the use of Integration Points, such as: * [Connect UI](https://synqly.com/synqly-connector-ui/) * Validating allowed providers * Custom data mapping (coming soon) Integration Points belong to the Organization, and can be associated with Integrations belonging to different Accounts. For more information on Integration Points, see the [Synqly Overview](/guides/getting-started/overview). ### List Integration Points - [GET /v1/integration-points](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_list.md): Returns a list of all IntegrationPoint objects. Operation ID: integrationPoints_list ### Create Integration Point - [POST /v1/integration-points](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_create.md): Create a IntegrationPoint object. Operation ID: integrationPoints_create ### Get Integration Point - [GET /v1/integration-points/{integrationPointId}](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_get.md): Returns the IntegrationPoint object matching {integrationPointId}. Operation ID: integrationPoints_get ### Update Integration Point - [PUT /v1/integration-points/{integrationPointId}](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_update.md): Updates the IntegrationPoint object matching {integrationPointId}. Operation ID: integrationPoints_update ### Patch Integration Point - [PATCH /v1/integration-points/{integrationPointId}](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_patch.md): Patches the IntegrationPoint object matching {integrationPointId}. Operation ID: integrationPoints_patch ### Delete Integration Point - [DELETE /v1/integration-points/{integrationPointId}](https://docs.synqly.com/api-reference/management/integrationpoints/integrationpoints_delete.md): Deletes the IntegrationPoint object matching {integrationPointId}. Operation ID: integrationPoints_delete ## Integrations An Integration represents the connection to a specific Provider. Once configured, an Integration enables interaction with the target Provider via our unified and normalized [Connector APIs](/api-reference/connectors). Each Integration belongs to an [Account](/api-reference/management/accounts) and may be associated with an [Integration Point](/api-reference/management/integrationpoints) to provide additional features and configuration. For more information on Integrations, see the [Synqly Overview](/guides/getting-started/overview). ### List Integrations - [GET /v1/integrations](https://docs.synqly.com/api-reference/management/integrations/integrations_list.md): Returns a list of all Integration objects that match the query params. Operation ID: integrations_list ### List Account Integrations - [GET /v1/integrations/{accountId}](https://docs.synqly.com/api-reference/management/integrations/integrations_list_account.md): Returns a list of all Integration objects belonging to the Account matching {accountId}. Operation ID: integrations_list_account ### Create Integration - [POST /v1/integrations/{accountId}](https://docs.synqly.com/api-reference/management/integrations/integrations_create.md): Creates an Integration object belonging to the Account matching {accountId}. Configures the Integration with the Provider specified in the request. Returns an Integration token for use with Integration APIs. Operation ID: integrations_create ### Get Integration - [GET /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_get.md): Returns the Integration object matching {integrationId} where the Integration belongs to the Account matching {accountId}. Operation ID: integrations_get ### Update Integration - [PUT /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_update.md): Updates the Integration object matching {integrationId}, where the Integration belongs to the Account matching {accountId}. Operation ID: integrations_update ### Patch Integration - [PATCH /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_patch.md): Patches the Integration object matching {integrationId}, where the Integration belongs to the Account matching {accountId}. Operation ID: integrations_patch ### Delete Integration - [DELETE /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_delete.md): Deletes the Integration object matching {integrationId}, where the Integrationbelongs to theAccountmatching{accountId}. Deleting an Integration also deletes any tokens that belong to it. Operation ID: integrations_delete` ### Verify Integration - [POST /v1/integrations/{accountId}/verify](https://docs.synqly.com/api-reference/management/integrations/integrations_verify.md): Verifies an ephemeral Integration and provider configuration and tests the authentication and provider connectivity. The provider config credential IDs can utilize persistent IDs or use "#/n" reference IDs; where (n) is the zero based offset in the optional credentials list. Operation ID: integrations_verify ## Mappings (In Development) {% admonition type="warning" name="In Development" %} This feature is actively being developed. Breaking changes should be expected. Please contact us before using this feature. {% /admonition %} ### List Mappings - [GET /v1/mappings](https://docs.synqly.com/api-reference/management/mappings/mappings_list.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Returns a list of all Mapping objects. Operation ID: mappings_list ### Create Mapping - [POST /v1/mappings](https://docs.synqly.com/api-reference/management/mappings/mappings_create.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Creates an mapping object. Operation ID: mappings_create ### Get Mapping - [GET /v1/mappings/{mappingId}](https://docs.synqly.com/api-reference/management/mappings/mappings_get.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Returns the Mapping object matching {mappingId}. This response will include the full data field. Operation ID: mappings_get ### Update Mapping - [PUT /v1/mappings/{mappingId}](https://docs.synqly.com/api-reference/management/mappings/mappings_update.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Updates the mapping object matching {mappingId}. Operation ID: mappings_update ### Patch Mapping - [PATCH /v1/mappings/{mappingId}](https://docs.synqly.com/api-reference/management/mappings/mappings_patch.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Patches the mapping object matching {mappingId}. Operation ID: mappings_patch ### Delete Mapping - [DELETE /v1/mappings/{mappingId}](https://docs.synqly.com/api-reference/management/mappings/mappings_delete.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Deletes the mapping object matching {mappingId}. Operation ID: mappings_delete ### Apply Mappings - [POST /v1/mappings/apply](https://docs.synqly.com/api-reference/management/mappings/mappings_apply.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Apply a list of mapping transforms against the JSON input. Operation ID: mappings_apply ## Members ### List Members - [GET /v1/members](https://docs.synqly.com/api-reference/management/members/members_list.md): List all members Operation ID: members_list ### Create Member - [POST /v1/members](https://docs.synqly.com/api-reference/management/members/members_create.md): Add a new member for this Organization. Operation ID: members_create ### Get Member - [GET /v1/members/{memberId}](https://docs.synqly.com/api-reference/management/members/members_get.md): Retrieve a Member by ID Operation ID: members_get ### Update Member - [PUT /v1/members/{memberId}](https://docs.synqly.com/api-reference/management/members/members_update.md): Update a Member by ID Operation ID: members_update ### Patch Member - [PATCH /v1/members/{memberId}](https://docs.synqly.com/api-reference/management/members/members_patch.md): Update a Member by ID Operation ID: members_patch ### Delete Member - [DELETE /v1/members/{memberId}](https://docs.synqly.com/api-reference/management/members/members_delete.md): Delete a Member by ID. Also deletes all Tokens for the Member. Operation ID: members_delete ## Meta ### Get Management OpenAPI Spec - [GET /v1/meta/openapi/management](https://docs.synqly.com/api-reference/management/meta/meta_managementopenapispec.md): Retrieve the OpenAPI spec for the Management API Operation ID: meta_managementOpenapiSpec ### Get Engine OpenAPI Spec - [GET /v1/meta/openapi/engine](https://docs.synqly.com/api-reference/management/meta/meta_engineopenapispec.md): Retrieve the OpenAPI spec for the Engine APIs Operation ID: meta_engineOpenapiSpec ## Operations (In Development) {% admonition type="warning" name="In Development" %} This feature is actively being developed. Breaking changes should be expected. Please contact us before using this feature. {% /admonition %} ### List Asynchronous Operations - [GET /v1/jobs](https://docs.synqly.com/api-reference/management/operations/operations_list.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Returns a list of all Asynchronous Operations objects. Operation ID: operations_list ### List Operation Execution History - [GET /v1/jobs/history](https://docs.synqly.com/api-reference/management/operations/operations_list_execution_history.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Returns the execution history for all operations. History is stored for the configured retention period (default 4 weeks). Operation ID: operations_list_execution_history ## Organization Webhooks ### List Organization Webhooks - [GET /v1/organization/webhooks](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_list.md): List webhooks for the organization Operation ID: organizationWebhooks_list ### Create Organization Webhook - [POST /v1/organization/webhooks](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_create.md): Create a new webhook for the organization Operation ID: organizationWebhooks_create ### Get Organization Webhook - [GET /v1/organization/webhooks/{webhookId}](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_get.md): Returns the Webhook object matching {webhookId}. Operation ID: organizationWebhooks_get ### Update Organization Webhook - [PUT /v1/organization/webhooks/{webhookId}](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_update.md): Updates the Webhook object matching {webhookId}. For more information on Organizations and Webhooks, refer to our Synqly Overview. Operation ID: organizationWebhooks_update ### Patch Organization Webhook - [PATCH /v1/organization/webhooks/{webhookId}](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_patch.md): Patches the Webhook object matching {webhookId}. For more information on Organizations and Webhooks, refer to our Synqly Overview. Operation ID: organizationWebhooks_patch ### Delete Organization Webhook - [DELETE /v1/organization/webhooks/{webhookId}](https://docs.synqly.com/api-reference/management/organizationwebhooks/organizationwebhooks_delete.md): Delete a webhook for the organization Operation ID: organizationWebhooks_delete ## Organization ### Get Organization - [GET /v1/organization](https://docs.synqly.com/api-reference/management/organization/organization_get.md): Retrieve Organization Operation ID: organization_get ### Update Organization - [PUT /v1/organization](https://docs.synqly.com/api-reference/management/organization/organization_update.md): Update Organization Operation ID: organization_update ### Patch Organization - [PATCH /v1/organization](https://docs.synqly.com/api-reference/management/organization/organization_patch.md): Patch Organization Operation ID: organization_patch ## Permissionset ### List PermissionSets - [GET /v1/permissionsets](https://docs.synqly.com/api-reference/management/permissionset/permissionset_list.md): Returns a list of all PermissionSets objects that match the query params. Operation ID: permissionset_list ### Get PermissionSet - [GET /v1/permissionsets/{permissionsetId}](https://docs.synqly.com/api-reference/management/permissionset/permissionset_get.md): Returns the PermissionSet object matching {permissionsetId}. For more information on PermissionSets, refer to our Synqly Overview. Operation ID: permissionset_get ## Roles ### List Roles - [GET /v1/roles](https://docs.synqly.com/api-reference/management/roles/roles_list.md): Returns a list of all Roles objects that match the query params. Operation ID: roles_list ### Create Role - [POST /v1/roles](https://docs.synqly.com/api-reference/management/roles/roles_create.md): Creates an Role object. For more information on Roles, refer to our Synqly Overview. Operation ID: roles_create ### Get Role - [GET /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_get.md): Returns the Role object matching {roleId}. For more information on Roles, refer to our Synqly Overview. Operation ID: roles_get ### Update Role - [PUT /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_update.md): Updates the Role object matching {roleId}. For more information on Roles, refer to our Synqly Overview. Operation ID: roles_update ### Patch Role - [PATCH /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_patch.md): Patches the Role object matching {roleId}. For more information on Roles, refer to our Synqly Overview. Operation ID: roles_patch ### Delete Role - [DELETE /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_delete.md): Deletes the Role matching {roleId}. Deleting an Role also deletea all Tokens and Credentials belonging to the Role. Operation ID: roles_delete ## Status ### List Status - [GET /v1/status](https://docs.synqly.com/api-reference/management/status/status_list.md): Returns all matching Status objects. Operation ID: status_list ### Get Status - [GET /v1/status/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/status/status_get.md): Returns the integration Status object. Operation ID: status_get ### Reset Status - [PUT /v1/status/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/status/status_reset.md): Resets the integration Status object. Operation ID: status_reset ### List Status Events - [GET /v1/status/{accountId}/{integrationId}/events](https://docs.synqly.com/api-reference/management/status/status_list_events.md): Returns integration Status object list of StatusEvent objects. Operation ID: status_list_events ### Get Status Timeseries - [GET /v1/status/timeseries](https://docs.synqly.com/api-reference/management/status/status_get_timeseries.md): Returns organization last hour usage timeseries. Operation ID: status_get_timeseries ### Get Integration Timeseries - [GET /v1/status/{accountId}/{integrationId}/timeseries](https://docs.synqly.com/api-reference/management/status/status_get_integration_timeseries.md): Returns organization last hour usage timeseries. Operation ID: status_get_integration_timeseries ## Sub Orgs ### List Sub-Organizations - [GET /v1/suborgs](https://docs.synqly.com/api-reference/management/suborgs/suborgs_list.md): List all organizations Operation ID: subOrgs_list ### Create Sub-Organization - [POST /v1/suborgs](https://docs.synqly.com/api-reference/management/suborgs/suborgs_create.md): Add a new organization. Operation ID: subOrgs_create ### Get Sub-Organization - [GET /v1/suborgs/{organizationId}](https://docs.synqly.com/api-reference/management/suborgs/suborgs_get.md): Retrieve an Organization by ID Operation ID: subOrgs_get ### Delete Sub-Organization - [DELETE /v1/suborgs/{organizationId}](https://docs.synqly.com/api-reference/management/suborgs/suborgs_delete.md): Delete a Organization by ID. Also deletes Operation ID: subOrgs_delete ## Tokens ### Create Organization Token - [POST /v1/tokens](https://docs.synqly.com/api-reference/management/tokens/tokens_create_token.md): Create an adhoc organization token restricted to specified resources and permission set. Tokens can only be reduced in scope, never expanded. Permissions are inherited from the token used to call this API. Permissions assigned to the new token will not be persisted, this is not a way to create roles. Operation ID: tokens_create_token ### List Refresh Tokens - [GET /v1/tokens](https://docs.synqly.com/api-reference/management/tokens/tokens_list.md): Returns a list of all RefreshToken objects belonging to the Authorization Bearer token. For more infromation on Tokens, refer to Authentication. Operation ID: tokens_list ### Create MCP Token - [POST /v1/tokens/mcp](https://docs.synqly.com/api-reference/management/tokens/tokens_create_mcp_token.md): Create a token for MCP authentication. This token is soley for MCP authentication and cannot authenticate with any other API. Operation ID: tokens_create_mcp_token ### Create Integration Token - [POST /v1/tokens/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/tokens/tokens_create_integration_token.md): Create an adhoc integration token restricted to a single integration. The token used to call this API must have the necessary permissions to create tokens and have access to the account and integration IDs. Permissions may not be escalated, so any operation that the invocation token does not have access to cannot be granted. Operation ID: tokens_create_integration_token ### Create Synqly Integrations Token - [POST /v1/tokens/synqly-integrations](https://docs.synqly.com/api-reference/management/tokens/tokens_create_synqly_integrations_token.md): {% admonition type="warning" name="In Development" %} This operation is actively being developed. Breaking changes should be expected. Please contact us before using this operation. {% /admonition %} Create a token for managing Synqly-specific integrations. This token can be used with the integration APIs to manage integrations for Synqly-specific integrations, such as status events exports and async operations. See the Synqly Integrations documentation for more information. Operation ID: tokens_create_synqly_integrations_token ### Delete Adhoc Refresh Token - [DELETE /v1/tokens/{refreshTokenId}](https://docs.synqly.com/api-reference/management/tokens/tokens_delete.md): Deletes the Refresh Token with id {id}. This immediately invalidates both the primary and secondary token pairs. Operation ID: tokens_delete ### Get Refresh Token - [GET /v1/tokens/{refreshTokenId}/info](https://docs.synqly.com/api-reference/management/tokens/tokens_get.md): Returns the RefreshToken object matching {tokenId}. For more information on Tokens, refer to Authentication. Operation ID: tokens_get ### Reset Refresh Token - [PUT /v1/tokens/{ownerId}/{refreshTokenId}/reset](https://docs.synqly.com/api-reference/management/tokens/tokens_reset.md): This API can be used to reset Organization or Integration RefreshTokens. Resets the specified RefreshToken and expiration time, removes the secondary, and resets access and refresh tokens for the RefreshToken object matching {ownerId}/{refreshTokenId} where ownerId is an organizationId or integrationId. An Organization token with administrator permissions can be used to perform this operation. Operation ID: tokens_reset ### Rotate Refresh Token - [PUT /v1/tokens/{ownerId}/{refreshTokenId}/rotate](https://docs.synqly.com/api-reference/management/tokens/tokens_rotate.md): This API can be used to rotate an Organization or Integration RefreshTokens. Rotate deletes the existing Secondary TokenPair, moves the Primary TokenPair to the Secondary TokenPair and creates a new Primary TokenPair for the RefreshToken object matching {ownerId}/{refreshTokenId} where ownerId is an organizationId or integrationId. An Organization token with administrator permissions can be used to perform this operation. Operation ID: tokens_rotate ### Refresh Token Pair - [PUT /v1/tokens/{refreshTokenId}/refresh](https://docs.synqly.com/api-reference/management/tokens/tokens_refresh.md): Creates a new primary TokenPair object, setting the secondary TokenPair to the previous primary value. Call /v1/removeSecondaryToken to remove this secondary backup once the new primary TokenPair has been deployed. Operation ID: tokens_refresh ### Remove Secondary Token - [DELETE /v1/tokens/{refreshTokenId}/secondary](https://docs.synqly.com/api-reference/management/tokens/tokens_remove_secondary.md): Deletes the secondary TokenPair for the RefreshToken object matching {refreshTokenId}. Operation ID: tokens_remove_secondary